# Asterisk Project : Asterisk 12 Function_VALID_EXTEN

Added by wikibot , edited by wikibot on Aug 29, 2013

# VALID_EXTEN()

### Synopsis

Determine whether an extension exists or not.

### Description

Returns a true value if the indicated context, extension, and priority exist.

Warning

This function has been deprecated in favor of the `DIALPLAN_EXISTS()` function

### Syntax

    VALID_EXTEN(context,extension,priority)

##### Arguments

- `context` - Defaults to the current context
- `extension`
- `priority` - Priority defaults to `1`.

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown